PaymentsOrders

Get payment address

This endpoint allows you to fetch a payment address based on given parameters. It has two major use-cases. The first one. It allows you to fetch static crypto wallet address. For this use case you need to pass gateway, which is a static wallet, and optionally you can also pass a wallet unique id. In response, you will receive wallet's address. The second one. If you want to create an order via a payment processor (like Stripe, Kunapay, etc.), you should perform it via this endpoint. You need to pass a payment gateway, which has a type gateway, amount and destination balance. Then we will create an order with status created and in response you will get a link with your payment session on the processor's side. If you have lost the link, it can also be retrieved from GET /api/v1/payments. If not paid, this order will expire. The payment can also be canceled, and done so, it will be canceled on processors side as well.

GET
/api/v1/payments/address

Query Parameters

amount?number

Optional parameter. Accepts amount (in USD) which will be paid. If you have provided payment gateway with the "gateway" type, this parameter id required.

destination?string

Determines the balance, which will accept the payment when it is completed (only for payment gateways with the "gateway" type).

Value in"voice" | "additional" | "sms"
payment_gateway_id?integer

Accepts a unique id of the payment gateway, for which to fetch payment address (a link or static wallet address).

Range1 <= value
wallet_id?integer

Accepts a unique id of the wallet, to fetch address.

Header Parameters

Authorization*string

Your API token

Response Body

application/json

application/json

application/json

curl -X GET "https://dev-refactor-api-e.voipenv.uk/api/v1/payments/address" \  -H "Authorization: string"
{
  "code": 0,
  "data": {
    "address": "string"
  },
  "error_details": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "message": "string",
  "request_id": "string",
  "status": "ok"
}
{
  "code": 0,
  "error_details": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "message": "string",
  "request_id": "string",
  "status": "error"
}
{
  "code": 0,
  "error_details": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "message": "string",
  "request_id": "string",
  "status": "error"
}
Form Call To Action

Contact us

You can always send us a message or email. Weʼd be happy to help you out.